Subject: Re: send-email issue

From: Junio C Hamano <[email-masked]>
Date: Sat, 14 Aug 2021 16:36:43 -0700

Konstantin Ryabitsev <[email-masked]> writes:

> I know that this is confusing terminology, but "tls" stands for "StartTLS",
> which works on port 587, and "ssl" starts for "smtps" on port 465.

This reminds me of an earlier discussion we had that somehow petered
out before it resuted in usable improvement,

  https://lore.kernel.org/git/[email-masked]/

I do not think it is feasible to immediately rename the two choices
to SSL/TLS vs StartTLS without transition period, but the first
patch in the three-patch series there to update the documentation
alone may have helped this case.

We may also want to error out when seeing an unknown option other
than 'ssl' and 'tls', as the necessary first step to make it
possible to later safely accept StartTLS as a synonym for 'tls' and
'ssl/tls' as a synonym for 'ssl'.